org.keycloak.dom.saml.v2.metadata

## Class EntitiesDescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.EntitiesDescriptorType

-     public class EntitiesDescriptorType
      extends Object

  Java class for EntitiesDescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EntitiesDescriptorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Extensions" minOccurs="0"/>
               <choice maxOccurs="unbounded">
                 <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}EntityDescriptor"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}EntitiesDescriptor"/>
               </choice>
             </sequence>
             <attribute name="validUntil" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="cacheDuration" type="{http://www.w3.org/2001/XMLSchema}duration" />
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="Name" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Duration` | `cacheDuration`
    `protected List<Object>` | `entityDescriptor`
    `protected ExtensionsType` | `extensions`
    `protected String` | `id`
    `protected String` | `name`
    `protected Element` | `signature`
    `protected XMLGregorianCalendar` | `validUntil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitiesDescriptorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntityDescriptor(Object obj)` Add an entity descriptor
    `Duration` | `getCacheDuration()` Gets the value of the cacheDuration property.
    `List<Object>` | `getEntityDescriptor()` Gets the value of the entityDescriptorOrEntitiesDescriptor property.
    `ExtensionsType` | `getExtensions()` Gets the value of the extensions property.
    `String` | `getID()` Gets the value of the id property.
    `String` | `getName()` Gets the value of the name property.
    `Element` | `getSignature()` Gets the value of the signature property.
    `XMLGregorianCalendar` | `getValidUntil()` Gets the value of the validUntil property.
    `void` | `removeEntityDescriptor(Object obj)` Remove an entity descriptor
    `void` | `setCacheDuration(Duration value)` Sets the value of the cacheDuration property.
    `void` | `setExtensions(ExtensionsType value)` Sets the value of the extensions property.
    `void` | `setID(String value)` Sets the value of the id property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setSignature(Element value)` Sets the value of the signature property.
    `void` | `setValidUntil(XMLGregorianCalendar value)` Sets the value of the validUntil property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signature

          protected Element signature

    - #### extensions

          protected ExtensionsType extensions

    - #### entityDescriptor

          protected List<Object> entityDescriptor

    - #### validUntil

          protected XMLGregorianCalendar validUntil

    - #### cacheDuration

          protected Duration cacheDuration

    - #### id

          protected String id

    - #### name

          protected String name

  - ### Constructor Detail

    - #### EntitiesDescriptorType

          public EntitiesDescriptorType()

  - ### Method Detail

    - #### getSignature

          public Element getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `Element`

    - #### setSignature

          public void setSignature(Element value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Element`

    - #### getExtensions

          public ExtensionsType getExtensions()

      Gets the value of the extensions property.
      Returns:
        possible object is `ExtensionsType`

    - #### setExtensions

          public void setExtensions(ExtensionsType value)

      Sets the value of the extensions property.
      Parameters:
        `value` - allowed object is `ExtensionsType`

    - #### addEntityDescriptor

          public void addEntityDescriptor(Object obj)

      Add an entity descriptor
      Parameters:
        `obj` -

    - #### removeEntityDescriptor

          public void removeEntityDescriptor(Object obj)

      Remove an entity descriptor
      Parameters:
        `obj` -

    - #### getEntityDescriptor

          public List<Object> getEntityDescriptor()

      Gets the value of the entityDescriptorOrEntitiesDescriptor property.

      Objects of the following type(s) are allowed in the list `EntitiesDescriptorType` `EntityDescriptorType`

    - #### getValidUntil

          public XMLGregorianCalendar getValidUntil()

      Gets the value of the validUntil property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setValidUntil

          public void setValidUntil(XMLGregorianCalendar value)

      Sets the value of the validUntil property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getCacheDuration

          public Duration getCacheDuration()

      Gets the value of the cacheDuration property.
      Returns:
        possible object is `Duration`

    - #### setCacheDuration

          public void setCacheDuration(Duration value)

      Sets the value of the cacheDuration property.
      Parameters:
        `value` - allowed object is `Duration`

    - #### getID

          public String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.